function Ppost=Pposterior(Y)
%take a sample from the posterior distribution of transition probabilities,
%assuming a uniform Dirichlet prior
%SYNTAX
%Ppost=Pposterior(Y)
%INPUTS
%Y is a matrix of transition counts, where element i,j is the number of
%observations of a transition from j to i
%OUTPUTS
%Ppost is a matrix of transition probabilities, where columns are sampled from the posterior distribution of a
%Dirichlet-multinomial model for each source state
%USES
%gamrnd from statistics toolbox

n=size(Y,2);
X=gamrnd(Y+1,ones(n));%sample from gamma with scale 1 and shape vector Y+1
xsum=sum(X);
Ppost=X./xsum(ones(n,1),:);%transform gamma samples into Dirichlet samples
 