function state=classifystate(X,statedef)
%classify an observation into one of the states in statedef
%SYNTAX
%state=classifystate(X,statedef)
%INPUTS
%X is an observation: proportions of coral, algae, others
%statedef has one row per state, and cols min coral (c1), max coral (c2), min algae (a1),
%max algae (a2) for that state
%OUTPUTS
%state is the state i satisfying
%ci1<=x1<=ci2, ai1<=x1<=ai2 if ci1=0, ai1=0
%ci1<=x1<=ci2, ai1<x1<=ai2 if ci1=0, ai1>0
%ci1<x1<=ci2, ai1<=x1<=ai2 if ci1>0, ai1=0
%ci1<x1<=ci2, ai1<x2<=ai2 otherwise

s=size(statedef,1);
state=zeros(s,1);
for i=1:s
    ci1=statedef(i,1);
    ci2=statedef(i,2);
    ai1=statedef(i,3);
    ai2=statedef(i,4);
    if ci1>0
        testc=ci1<X(1) && X(1)<=ci2;
    else
        testc=ci1<=X(1) && X(1)<=ci2;
    end
    if ai1>0
        testa=ai1<X(2) && X(2)<=ai2;
    else
        testa=ai1<=X(2) && X(2)<=ai2;
    end
    state(i)=testc && testa;
end
state=find(state);
